CPROJ(3)

NAME
cproj, cprojf, cprojl - project into Riemann Sphere

SYNOPSIS
#include <complex.h>

double complex cproj(double complex z);
float complex cprojf(float complex z);
long double complex cprojl(long double complex z);

Link with -lm.

DESCRIPTION
This function projects a point in the plane onto the surface of a Riemann Sphere, the one-point compactification of the complex plane. Each finite point z projects to z itself. Every complex infinite value is projected to a single infinite value, namely to positive infinity on the real axis.

CONFORMING TO
C99

NOTE
The glibc implementation is broken and does something entirely different.

SEE ALSO
cabs(3), complex(7)